Bug 495695 - Missing perl dependencies
Missing perl dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: clive (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Nicoleau Fabien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 08:59 EDT by Ademar Reis
Modified: 2009-05-09 00:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.10-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 21:03:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ademar Reis 2009-04-14 08:59:36 EDT
clive doesn't have rpm dependencies for perl-BerkeleyDB and perl-Digest-SHA, both required by the program to run.

clive-2.1.10-1.fc10.noarch
(from updates)

It's trivial to reproduce: install clive (without the aforementioned perl packages) and try to run it:

[ademar@optimusbook ~]$ clive 
Can't locate BerkeleyDB.pm in @INC (@INC contains: /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib/perl5/si
te_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/li
b/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl /usr/lib/perl5/site_perl .) at /usr/bin/clive line 1783.

After installing perl-BerkeleyDB, clive --help works, but it can't download any youtube video:

[ademar@optimusbook ~]$ clive http://www.youtube.com/watch?v=ktl6L3ZwvL4
Can't locate Digest/SHA.pm in @INC (@INC contains: /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl /usr/lib/perl5/site_perl .) at /usr/bin/clive line 251.
Comment 1 Nicoleau Fabien 2009-04-15 11:25:36 EDT
Hello,
I'll build a new release as soon as possible and add these requires.
Comment 2 Fedora Update System 2009-04-17 20:21:05 EDT
clive-2.1.10-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/clive-2.1.10-2.fc11
Comment 3 Fedora Update System 2009-04-17 20:23:04 EDT
clive-2.1.10-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/clive-2.1.10-2.fc10
Comment 4 Fedora Update System 2009-04-17 20:23:47 EDT
clive-2.1.10-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/clive-2.1.10-2.fc9
Comment 5 Fedora Update System 2009-04-21 21:03:19 EDT
clive-2.1.10-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-21 21:09:36 EDT
clive-2.1.10-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-05-08 23:59:58 EDT
clive-2.1.10-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.